MDL-49329 admin: Add ability to cancel upgrade of the plugin
authorDavid Mudrák <david@moodle.com>
Fri, 9 Oct 2015 16:07:28 +0000 (18:07 +0200)
committerDavid Mudrák <david@moodle.com>
Fri, 9 Oct 2015 21:37:32 +0000 (23:37 +0200)
commitc20e9ae8362fbb10bccd02e91100d25b720db95b
tree8f73855627bf7007b97813a4c343837bb68ecc18
parent80c3c6501db2551a5997a2060d426d45b8afe546
MDL-49329 admin: Add ability to cancel upgrade of the plugin

If there is an available archived zip with the version of the plugin
currently installed, we can use it to cancel/abort the upgrade of the
plugin. This is internally handled as the installation of the archived
zip and goes through all the validation and confirmation.

Additionally, some other parts were improved. Most notably, renderer no
longer decides itself if some installation can be cancelled but it
always asks the controller (plugin manager).

The button for installation was moved to the left so there should be
first buttons to add things, and then buttons to cancel things (which is
common in normal forms).
admin/index.php
admin/renderer.php
lang/en/admin.php
lang/en/plugin.php
lib/classes/plugin_manager.php
theme/bootstrapbase/less/moodle/admin.less
theme/bootstrapbase/style/moodle.css